<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Admin\Block;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

abstract class Block
{
    /** @var string */
    protected $name;

    public function register(): void
    {
        add_action('init', [$this, 'init']);
    }

    public function init(): void
    {
        wp_register_script(
            "wp_rebilly_m__gutenberg__{$this->name}",
            REBILLY_WP_URL . "dist/js/block/{$this->name}.js",
            ['wp-blocks', 'wp-editor', 'wp-components', 'wp-element', 'wp-api', 'wp-i18n']
        );

        wp_register_style(
            "wp_rebilly_m__gutenberg__{$this->name}",
            REBILLY_WP_URL . "dist/css/block/{$this->name}.css"
        );

        register_block_type("wp-rebilly-m/{$this->name}", $this->registerOptions());
    }

    public function registerOptions(): array
    {
        return [
            'editor_script' => "wp_rebilly_m__gutenberg__{$this->name}",
            'editor_style' => "wp_rebilly_m__gutenberg__{$this->name}",
        ];
    }
}
