<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Admin\Block;

use Rebilly\Wp\Member\Shortcode\Portal;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class PortalShortcode extends Block
{
    public function __construct()
    {
        $this->name = 'portal-shortcode';
    }

    public function registerOptions(): array
    {
        $options = parent::registerOptions();
        $options['render_callback'] = [$this, 'renderCallback'];

        return $options;
    }

    /**
     * @return string
     */
    public function renderCallback(): string
    {
        $shortcodeName = Portal::getName();

        return do_shortcode("[{$shortcodeName}]");
    }
}
