<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration\BeaverBuilder\RebillyDynamicPage;

use Rebilly\Wp\Member\Integration\BeaverBuilder\Module;
use Rebilly\Wp\Member\Shortcode\DynamicPage;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class DynamicPageModule extends Module
{
    /** @var array */
    protected static $forms = [];

    public function __construct()
    {
        parent::__construct([
            'name' => __('Dynamic Page', REBILLY_WP_LANG_DOMAIN),
            'description' => __('Insert a Rebilly dynamic page on your page', REBILLY_WP_LANG_DOMAIN),
            'group' => __('Rebilly', REBILLY_WP_LANG_DOMAIN),
            'category' => __('Basic Modules', 'fl-builder'),
            'dir' => REBILLY_WP_DIR . 'template/admin/integration/beaver-builder/dynamic-page/',
            'url' => REBILLY_WP_URL . 'template/admin/integration/beaver-builder/dynamic-page/',
            'icon' => 'icon.svg',
        ]);
    }

    protected static function settings(): array
    {
        return [
            'general1' => [
                'title' => __('General', REBILLY_WP_LANG_DOMAIN),
                'sections' => [
                    'settings' => [
                        'title' => __('Settings', REBILLY_WP_LANG_DOMAIN),
                        'fields' => [
                            'pageId' => [
                                'type' => 'select',
                                'label' => __('Page', REBILLY_WP_LANG_DOMAIN),
                                'default' => '',
                                'options' => DynamicPage::getPageNames(true),
                            ],
                        ],
                    ],
                ],
            ],
        ];
    }
}
