<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Integration\SiteOrigin;

use SiteOrigin_Widget;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class PortalWidget extends SiteOrigin_Widget
{
    public function __construct()
    {
        parent::__construct(
            'rebilly_portal',
            __('Rebilly Portal', REBILLY_WP_LANG_DOMAIN),
            [
                'description' => __('Insert a Rebilly Billing Portal on your page', REBILLY_WP_LANG_DOMAIN),
                'panels_icon' => 'dashicons dashicons-admin-page',
                'panels_groups' => ['rebilly'],
            ]
        );
        add_action('siteorigin_widgets_render_preview_' . $this->id_base, [$this, 'enqueueStyles']);
        add_filter('siteorigin_widgets_template_file_' . $this->id_base, [$this, 'getTemplateFile']);
    }

    public function enqueueStyles(): void
    {
        wp_enqueue_style('wp_rebilly_m-front', REBILLY_WP_URL . 'dist/css/front.css', [], '1.0.0');
    }

    public function getTemplateFile(): string
    {
        return REBILLY_WP_DIR . 'template/admin/integration/siteorigin/portal.php';
    }
}
