<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Reformer;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

interface Node
{
    /**
     * Node constructor.
     *
     * @param array $config
     */
    public function __construct(array $config);

    /**
     * @return string
     */
    public function getTag(): string;

    /**
     * @return array
     */
    public function getAttributes(): array;

    /**
     * @return Node[]|array
     */
    public function getChildren(): array;

    /**
     * @param array $env
     *
     * @return bool
     */
    public function isAvailable(array $env): bool;

    /**
     * @param array $env
     *
     * @return string
     */
    public function render(array $env): string;
}
