<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Reformer;

use Rebilly\Wp\Member\Reformer\Traits\HasNoChildren;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class TextNode implements Node
{
    use HasNoChildren;

    protected $content = '';

    /**
     * Label constructor.
     * @param array $config
     */
    public function __construct(array $config)
    {
        $this->content = $config['content'];
    }

    public function getTag(): string
    {
        return '';
    }

    /**
     * @param array $env
     *
     * @return bool
     */
    public function isAvailable(array $env): bool
    {
        return true;
    }

    /**
     * @return array
     */
    public function getAttributes(): array
    {
        return [];
    }

    /**
     * @param array $env
     *
     * @return string
     */
    public function render(array $env): string
    {
        return str_replace(
            '{rebilly-subtotal}',
            '<span data-rebilly-widget="sub-total"></span>',
            esc_html($this->content)
        );
    }
}
