<?php
/**
 * This source file is proprietary and part of Rebilly.
 *
 * (c) Rebilly SRL
 *     Rebilly Ltd.
 *     Rebilly Inc.
 *
 * @see https://www.rebilly.com
 */

declare(strict_types=1);

namespace Rebilly\Wp\Member\Shortcode;

// Exit if accessed directly.
if (!defined('ABSPATH')) {
    exit();
}

class Shortcode
{
    /** @var array|string[] */
    protected static $shortcodes = [
        'Rebilly\Wp\Member\Shortcode\Form',
        'Rebilly\Wp\Member\Shortcode\DynamicPage',
        'Rebilly\Wp\Member\Shortcode\Portal',
    ];

    public static function register(): void
    {
        do_action('rebilly_before_shortcodes');
        foreach (static::$shortcodes as $shortcode) {
            $obj = new $shortcode();
            if ($obj instanceof ShortcodeContract) {
                add_shortcode($obj->getName(), [$obj, 'render']);
            }
        }
        do_action('rebilly_after_shortcode');
    }
}
