<?php
/**
 * @var array $field
 */

$checked = (bool) ($field['value'] ?? '');
$escLabels = (bool) ($field['esc_labels'] ?? true);
$label = [
    'checked' => $field['label_checked'] ?? $field['label'] ?? '',
    'unchecked' => $field['label_unchecked'] ?? $field['label'] ?? '',
];
if ($escLabels) {
    foreach ($label as $key => $value) {
        $label[$key] = esc_html($value);
    }
}
?>
<div class="wp_rebilly_m__inline_checkbox">
    <input type="checkbox" value="1" <?php echo $checked ? 'checked' : ''; ?>
        <?php renderIsolate(REBILLY_WP_DIR . 'template/admin/field/attrs.php', compact('field')); ?>/>
    <label for="<?php esc_attr_e($field['id']); ?>">
        <span class="on-checked"><?php echo $label['checked']; ?></span><span
            class="on-unchecked"><?php echo $label['unchecked']; ?></span>
    </label>
</div>
