<?php
/**
 * @var array $field
 */
$width = max(0, (int) ($field['width'] ?? 100));
$condition = isset($field['condition']) ? esc_attr(json_encode($field['condition'])) : false;
?>
<div class="wp_rebilly_m__field wp_rebilly_m__field__<?php esc_attr_e($field['type']); ?>"
    <?php
    if (0 < $width && $width < 100) {
        echo " data-width=\"{$width}\" style=\"width:{$width}%;flex-basis:{$width}%;\"";
    }
    if ($condition) {
        echo " data-condition=\"{$condition}\"";
    }
    ?>>
    <?php if (!($field['hide_label'] ?? false) && strlen($field['label'] ?? '') !== 0): ?>
        <div class="wp_rebilly_m__label">
            <label for="<?php echo esc_attr($field['id']); ?>"><?php echo esc_html($field['label']); ?></label>
        </div>
    <?php endif; ?>
    <div class="wp_rebilly_m__input">
        <?php renderIsolate(REBILLY_WP_DIR . "template/admin/field/{$field['type']}.php", compact('field')); ?>
    </div>
    <?php if (!blank($field['description'] ?? '')): ?>
        <div class="wp_rebilly_m__description">
            <?php esc_html_e($field['description']); ?>
        </div>
    <?php endif; ?>
</div>
